Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686358 - [OSP] Bootstrap and api instance can not resolve internal osp with default subnet dns_nameservers
Summary: [OSP] Bootstrap and api instance can not resolve internal osp with default su...
Keywords:
Status: NEW
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.2.0
Assignee: Flavio Percoco
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 10:20 UTC by weiwei jiang
Modified: 2019-03-27 18:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description weiwei jiang 2019-03-07 10:20:28 UTC
Description of problem:
After openshift-install provision all OSP resources, found that api and bootstrap hang at boot stage.

(openstack) console log show wjiang-ocp-4s47r-bootstrap
[K[   [31m*[1;31m*[0m[31m*[0m] A start job is running for Ignition (disks) (1min 38s / no limit)[K[    [31m*[1;31m*[0m] A start job is running for Ignition (disks) (1min 38s / no limit)[K[     [31m*[0m] A start job is running for Ignition (disks) (1min 39s / no limit)[K[
   [31m*[1;31m*[0m] A start job is running for Ignition (disks) (1min 39s / no limit)[K[   [31m*[1;31m*[0m[31m*[0m] A start job is running for Ignition (disks) (1min 40s / no limit)[K[  [31m*[1;31m*[0m[31m* [0m] A start job is running for Ignition (disks) (1min 40s / no limit)[K[ [31m*[1;31m*[0m[31m*  [0m] A start job is running for Ignition (disks) (1min 41s / no limit)[K[[31m*[1;31m*[0m[31m*   [0m] A start job is running for Ignition (disks) (1min 41s / no limit)[K[[1;31m*[0m[31m*    [0m] A start job is running for Ignition (disks) (1min 42s / no limit)[K[[0m[31m*     [0m] A start job is running for Ignition (disks) (1min 42s / no limit)[  105.174332] ignition[456]: GET https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13808/v1/AUTH_542c6ebd48bf40fa857fc245c7572e30/wjiang-ocp.shiftstack.com/load-balancer.ign?temp_url_sig=e553e9b920b2de5396d27c376bf3b56bfb525842&temp_url_expires=1551954402: attempt #22
[  105.382646] ignition[456]: GET error: Get https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13808/v1/AUTH_542c6ebd48bf40fa857fc245c7572e30/wjiang-ocp.shiftstack.com/load-balancer.ign?temp_url_sig=e553e9b920b2de5396d27c376bf3b56bfb525842&temp_url_expires=1551954402: dial tcp: lookup rhos-d.infra.prod.upshift.rdu2.redhat.com on 128.31.24.11:53: server misbehaving


Version-Release number of the following components:
➜  installer git:(master) ✗ bin/openshift-install version                                      
bin/openshift-install unreleased-master-524-g13a752ea0fcae927cba6795782f87ffa332d5b75


How reproducible:
Always

Steps to Reproduce:
1. Setup cluster with openshift-installer on OSP
2. After all osp resources provisioned, check api and bootstrap boot log
3.

Actual results:
(openstack) console log show wjiang-ocp-4s47r-bootstrap
[K[   [31m*[1;31m*[0m[31m*[0m] A start job is running for Ignition (disks) (1min 38s / no limit)[K[    [31m*[1;31m*[0m] A start job is running for Ignition (disks) (1min 38s / no limit)[K[     [31m*[0m] A start job is running for Ignition (disks) (1min 39s / no limit)[K[
   [31m*[1;31m*[0m] A start job is running for Ignition (disks) (1min 39s / no limit)[K[   [31m*[1;31m*[0m[31m*[0m] A start job is running for Ignition (disks) (1min 40s / no limit)[K[  [31m*[1;31m*[0m[31m* [0m] A start job is running for Ignition (disks) (1min 40s / no limit)[K[ [31m*[1;31m*[0m[31m*  [0m] A start job is running for Ignition (disks) (1min 41s / no limit)[K[[31m*[1;31m*[0m[31m*   [0m] A start job is running for Ignition (disks) (1min 41s / no limit)[K[[1;31m*[0m[31m*    [0m] A start job is running for Ignition (disks) (1min 42s / no limit)[K[[0m[31m*     [0m] A start job is running for Ignition (disks) (1min 42s / no limit)[  105.174332] ignition[456]: GET https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13808/v1/AUTH_542c6ebd48bf40fa857fc245c7572e30/wjiang-ocp.shiftstack.com/load-balancer.ign?temp_url_sig=e553e9b920b2de5396d27c376bf3b56bfb525842&temp_url_expires=1551954402: attempt #22
[  105.382646] ignition[456]: GET error: Get https://rhos-d.infra.prod.upshift.rdu2.redhat.com:13808/v1/AUTH_542c6ebd48bf40fa857fc245c7572e30/wjiang-ocp.shiftstack.com/load-balancer.ign?temp_url_sig=e553e9b920b2de5396d27c376bf3b56bfb525842&temp_url_expires=1551954402: dial tcp: lookup rhos-d.infra.prod.upshift.rdu2.redhat.com on 128.31.24.11:53: server misbehaving

Expected results:
Dns_nameservers for subnet should be customized in install-config.yaml


Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 weiwei jiang 2019-03-11 02:33:32 UTC
Work around as following:

[openshift@dhcp-140-70 installer]$ git diff
diff --git a/data/data/openstack/topology/private-network.tf b/data/data/openstack/topology/private-network.tf
index aaf3badfa..93ce3b174 100644
--- a/data/data/openstack/topology/private-network.tf
+++ b/data/data/openstack/topology/private-network.tf
@@ -21,7 +21,7 @@ resource "openstack_networking_subnet_v2" "service" {
   ip_version      = 4
   network_id      = "${openstack_networking_network_v2.openshift-private.id}"
   tags            = ["openshiftClusterID=${var.cluster_id}"]
-  dns_nameservers = ["1.1.1.1", "208.67.222.222"]
+  dns_nameservers = ["10.72.17.5"]
 }

Comment 2 Flavio Percoco 2019-03-13 11:33:33 UTC
This has been fixed upstream. We're improving this fix to allow for setting custom DNS names if needed: https://github.com/openshift/installer/pull/1386


Note You need to log in before you can comment on or make changes to this bug.